"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const os_1 = require("os");
const typescript_1 = __importDefault(require("typescript"));
const ArrowFunction = __importStar(require("./CurryingArrowFunction"));
const create = (factory, list, option) => {
    const variableStatements = list.map(params => {
        return factory.VariableStatement.create({
            comment: option.additionalMethodComment
                ? [params.operationParams.comment, `operationId: ${params.operationId}`, `Request URI: ${params.operationParams.requestUri}`]
                    .filter(t => !!t)
                    .join(os_1.EOL)
                : params.operationParams.comment,
            modifiers: [typescript_1.default.factory.createToken(typescript_1.default.SyntaxKind.ExportKeyword)],
            declarationList: factory.VariableDeclarationList.create({
                declarations: [
                    factory.VariableDeclaration.create({
                        name: params.convertedParams.functionName,
                        initializer: ArrowFunction.create(factory, params, option),
                    }),
                ],
                flag: "const",
            }),
        });
    });
    return variableStatements;
};
exports.create = create;
//# sourceMappingURL=index.js.map