export const create = (factory, list) => {
    const properties = list.map(item => {
        return factory.ShorthandPropertyAssignment.create({
            name: item.convertedParams.functionName,
        });
    });
    return factory.ReturnStatement.create({
        expression: factory.ObjectLiteralExpression.create({
            properties,
            multiLine: true,
        }),
    });
};
//# sourceMappingURL=ReturnStatement.js.map