import ts from "typescript";
import type { TsGenerator } from "../../../api";
import type { CodeGenerator } from "../../../types";
import type { Option } from "../../_shared/types";
import * as MethodBody from "../../_shared/MethodBody";
export { MethodBody };
/**
 * async (params: {argumentParamsTypeDeclaration}<{RequestContentType}>): Promise<{requestBodyName}[ResponseContentType]> => {}
 */
export declare const create: (factory: TsGenerator.Factory.Type, params: CodeGenerator.Params, option: Option) => ts.ArrowFunction;
