import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
import type * as Walker from "../Walker";
import * as Reference from "./Reference";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parameters: Record<string, OpenApi.Parameter | OpenApi.Reference>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateNamespaceWithList: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parameters: (OpenApi.Parameter | OpenApi.Reference)[], context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
