import ts from "typescript";
export interface Params$Create {
    typeParameters: ts.TypeParameterDeclaration[] | undefined;
    parameters: ts.ParameterDeclaration[];
    type?: ts.TypeNode;
    equalsGreaterThanToken?: ts.EqualsGreaterThanToken;
    body: ts.ConciseBody;
}
export interface Factory {
    create: (params: Params$Create) => ts.ArrowFunction;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
