"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = void 0;
const create = (factory, list) => {
    const properties = list.map(item => {
        return factory.ShorthandPropertyAssignment.create({
            name: item.convertedParams.functionName,
        });
    });
    return factory.ReturnStatement.create({
        expression: factory.ObjectLiteralExpression.create({
            properties,
            multiLine: true,
        }),
    });
};
exports.create = create;
//# sourceMappingURL=ReturnStatement.js.map