"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const create = ({ factory }) => (params) => {
    const node = factory.createArrowFunction(undefined, params.typeParameters, params.parameters, params.type, params.equalsGreaterThanToken, params.body);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: (0, exports.create)(context),
    };
};
exports.make = make;
//# sourceMappingURL=ArrowFunction.js.map