"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const typescript_1 = __importDefault(require("typescript"));
const create = ({ factory }) => (params) => {
    const node = factory.createClassDeclaration(params.export && [factory.createModifier(typescript_1.default.SyntaxKind.ExportKeyword)], factory.createIdentifier(params.name), params.typeParameterDeclaration, undefined, params.members);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: (0, exports.create)(context),
    };
};
exports.make = make;
//# sourceMappingURL=ClassDeclaration.js.map