"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const create = ({ factory }) => (params) => {
    const index = typeof params.index === "string" ? factory.createStringLiteral(params.index) : params.index;
    const node = factory.createElementAccessExpression(params.expression, index);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: (0, exports.create)(context),
    };
};
exports.make = make;
//# sourceMappingURL=ElementAccessExpression.js.map