"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = exports.create = void 0;
const typescript_1 = __importDefault(require("typescript"));
const create = ({ factory }) => (params) => {
    const node = factory.createIndexSignature(undefined, 
    // TODO Feature Development: Refactoring
    [
        factory.createParameterDeclaration(undefined, undefined, factory.createIdentifier(params.name), undefined, factory.createKeywordTypeNode(typescript_1.default.SyntaxKind.StringKeyword), undefined),
    ], params.type);
    return node;
};
exports.create = create;
const make = (context) => {
    return {
        create: (0, exports.create)(context),
    };
};
exports.make = make;
//# sourceMappingURL=IndexSignatureDeclaration.js.map