import * as ApiClientInterface from "../../_shared/ApiClientInterface";
import * as Class from "./Class";
import * as Constructor from "./Constructor";
import * as Method from "./Method";
export { Method };
export const create = (factory, list, option) => {
    const methodList = list.map(params => {
        return Method.create(factory, params, option);
    });
    const members = [Constructor.create(factory), ...methodList];
    return [...ApiClientInterface.create(factory, list, "class", option), Class.create(factory, members)];
};
//# sourceMappingURL=index.js.map