import ts from "typescript";
import type { TsGenerator } from "../../../api";
import type { CodeGenerator } from "../../../types";
import type { MethodType } from "./types";
export interface Params {
    httpMethod: string;
    hasRequestBody: boolean;
}
/**
 * this.apiClient.request("GET", url, requestBody, headers, queryParameters);
 */
export declare const create: (factory: TsGenerator.Factory.Type, params: CodeGenerator.Params, methodType: MethodType) => ts.CallExpression;
