import ts from "typescript";
export interface Params {
    comment?: string;
    deprecated?: boolean;
    modifiers?: ts.Modifier[];
    declarationList: ts.VariableDeclarationList | ts.VariableDeclaration[];
}
export interface Factory {
    create: (params: Params) => ts.VariableStatement;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
